Skip to main content
GET
Get a form template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "counts": Adds rulesCount and submissionsCount.
  • "actions-info": Projects { canBeUpdated, canBeDeleted }.
  • "updatable-fields": Projects which fields the caller may still edit.
Available options:
counts,
actions-info,
updatable-fields

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
Required string length: 1 - 200
description
string | null
required
Maximum string length: 2000
fields
object[]
required
Required array length: 1 - 100 elements
version
integer
required
Required range: 0 < x <= 9007199254740991
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
rulesCount
integer
Required range: 0 <= x <= 9007199254740991
submissionsCount
integer
Required range: 0 <= x <= 9007199254740991
actions
object
updatableFields
object